#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries

Summary:	Riemann client library
Summary(pl.UTF-8):	Biblioteka kliencka Riemann
Name:		riemann-c-client
Version:	1.10.2
Release:	1
License:	LGPL v3+
Group:		Libraries
#Source0Download: https://github.com/algernon/riemann-c-client/releases
Source0:	https://github.com/algernon/riemann-c-client/archive/%{name}-%{version}.tar.gz
# Source0-md5:	0bc0f9e8ee5d8274f91544086bd43a73
Patch0:		%{name}-dep.patch
URL:		https://github.com/algernon/riemann-c-client
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	check-devel
BuildRequires:	gnutls-devel >= 2.8
BuildRequires:	json-c-devel >= 0.11
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRequires:	protobuf-c-devel
Requires:	json-c >= 0.11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a C client library for the Riemann monitoring system,
providing a convenient and simple API, high test coverage and a
copyleft license, along with API and ABI stability.

%description -l pl.UTF-8
Ten pakiet zawiera przeznaczoną dla języka C bibliotekę kliencką
systemu monitorowania Riemann, udostępniającą wygodne i proste API,
mającą duże pokrycie testami oraz licencję typu copyleft, a także
stabilne API i ABI.

%package devel
Summary:	Header files for riemann-client library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki riemann-client
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	protobuf-c-devel

%description devel
Header files for riemann-client library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki riemann-client.

%package static
Summary:	Static riemann-client library
Summary(pl.UTF-8):	Statyczna biblioteka riemann-client
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static riemann-client library.

%description static -l pl.UTF-8
Statyczna biblioteka riemann-client.

%prep
%setup -q -n %{name}-%{name}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libriemann-client.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS.md README.md
%attr(755,root,root) %{_bindir}/riemann-client
%attr(755,root,root) %{_libdir}/libriemann-client.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libriemann-client.so.0
%{_mandir}/man1/riemann-client.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libriemann-client.so
%{_includedir}/riemann
%{_pkgconfigdir}/riemann-client.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libriemann-client.a
%endif
%changelog
* Wed May 09 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/riemann-c-client.git;a=log;h=master

* Mon May 07 2018 Jakub Bogusz <qboosh@pld-linux.org> fba8e03
- updated to 1.10.2
- added dep patch (missing client code dependency on updated proto header)

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> 2f2182e
- rebuild with gnutls 3.5
- release 4 (by relup.sh)

* Thu Sep 10 2015 Elan Ruusamäe <glen@delfi.ee> 777c18b
- devel R protobuf-c-devel

* Sun Jun 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 1f64b3b
- disable silent-rules
- use make -j1 because of CC/GEN race
- release 2

* Sun Jun 14 2015 Jakub Bogusz <qboosh@pld-linux.org> a4a194c
- new

